from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMailMergeBroadcaster(XInterface, Protocol):
    def addMailMergeEventListener(self, xListener: XMailMergeListener) -> None: ...
    def removeMailMergeEventListener(self, xListener: XMailMergeListener) -> None: ...
